<!DOCTYPE html>
<html lang="fr">

<head>
    <title>{{ title }}</title>
    <link rel="icon" href="{{favicon}}" type="image/svg+xml">
    <?php
    __kernel_load_styles($this);
    __kernel_load_scripts($this);
    ?>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Pacifico&display=swap" rel="stylesheet">
</head>

<body>
    <div id="document">
        <header id="head">
            <a href="{% route(index) %}" id="head-brand">.kernelite</a>

            <div class="dropdown">
                <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fa-solid fa-compass"></i> Navigation
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-house"></i> Accueil</a></li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-chart-line"></i> Statistiques</a></li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-square-poll-vertical"></i> Rapports</a></li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <h6 class="dropdown-header">Administration</h6>
                    </li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-gear"></i> Paramètres</a></li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-users-gear"></i> Utilisateurs</a></li>
                </ul>
            </div>

            <div class="dropdown">
                <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fa-solid fa-burger"></i> Projets
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-map-pin"></i> Projet Alpha</a></li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-map-pin"></i> Projet Beta</a></li>
                    <li><a class="dropdown-item" href="#"><i class="fa-solid fa-map-pin"></i> Projet Gamma</a></li>
                </ul>
            </div>
            <div class="head-bloc">
                <div class="input-group">
                    <span class="input-group-text" id="basic-addon1"><i class="fa-solid fa-magnifying-glass"></i></span>
                    <input type="text" class="form-control" placeholder="Rechercher" aria-label="Rechercher" aria-describedby="basic-addon1">
                </div>
            </div>

            <div id="head-right">
                <ul>
                    <li><a href="#"><i class="fa-solid fa-power-off"></i></a></li>
                </ul>
            </div>
        </header>
        <nav id="nav">
            <ul class="nav-main">
                <li class="nav-main-title">Menu</li>
                <li class="nav-menu">
                    <ul class="nav-menu-list">
                        <li class="nav-menu-section"><i class="fa-solid fa-leaf"></i> Section 1</li>
                        <li class="nav-menu">
                            <ul class="nav-sub-menu">
                                <li class="nav-sub-menu-item"><a href="#" class="active">Lien numéro 1</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 2</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 3</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 4</a></li>
                            </ul>
                        </li>
                        <li class="nav-menu-section"><i class="fa-solid fa-globe"></i> Section 2</li>
                        <li class="nav-menu">
                            <ul class="nav-sub-menu">
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 1</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 2</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 3</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 4</a></li>
                            </ul>
                        </li>                        
                    </ul>
                </li>
                <li class="nav-main-title">Second menu</li>
                <li class="nav-menu">
                    <ul class="nav-menu-list">
                        <li class="nav-menu-section"><i class="fa-solid fa-tree"></i> Section 3</li>
                        <li class="nav-menu">
                            <ul class="nav-sub-menu">
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 1</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 2</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 3</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 4</a></li>
                            </ul>
                        </li>
                        <li class="nav-menu-section"><i class="fa-solid fa-baby-carriage"></i> Section 4</li>
                        <li class="nav-menu">
                            <ul class="nav-sub-menu">
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 1</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 2</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 3</a></li>
                                <li class="nav-sub-menu-item"><a href="#">Lien numéro 4</a></li>
                            </ul>
                        </li>                        
                    </ul>
                </li>
            </ul>
        </nav>
        <div id="body">
            {%CONTROLLER%}
        </div>
    </div>    
</body>
</html>